%define pypi_name	sortedcontainers

Name:           python-%{pypi_name}
Version:        2.4.0
Release:        %mkrel 6
Group:          Development/Python
Summary:        Sorted container data types
License:        ASL2.0
URL:            https://pypi.org/project/sortedcontainers/
Source0:        %{pypi_source}
BuildArch:      noarch

%description
SortedContainers is an Apache2 licensed containers library, written in
pure-Python, and fast as C-extensions.

%package -n     python3-%{pypi_name}
Summary:        Sorted container data types
BuildRequires:	pkgconfig(python3)
BuildRequires:  python3-devel
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
SortedContainers is an Apache2 licensed containers library, written in
pure-Python, and fast as C-extensions.

%prep
%setup -q -n %{pypi_name}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files sortedcontainers

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst


%changelog
* Wed Feb 26 2025 daviddavid <daviddavid> 2.4.0-6.mga10
+ Revision: 2152811
- rebuild for python 3.13

* Thu Dec 14 2023 papoteur <papoteur> 2.4.0-5.mga10
+ Revision: 2018112
- rebuild for python 3.12

* Sat Dec 09 2023 wally <wally> 2.4.0-4.mga10
+ Revision: 2016477
- rebuild for py3.12
+ danf <danf>
- Fix URL

* Wed Mar 23 2022 umeabot <umeabot> 2.4.0-3.mga9
+ Revision: 1822243
- Mageia 9 Mass Rebuild

* Sun Feb 06 2022 wally <wally> 2.4.0-2.mga9
+ Revision: 1772206
- rebuild for python3.10

* Sun Jun 20 2021 joequant <joequant> 2.4.0-1.mga9
+ Revision: 1731406
- update to 2.4.0

* Sun Mar 14 2021 wally <wally> 2.3.0-2.mga9
+ Revision: 1702551
- rebuild for python 3.9

* Sun Dec 13 2020 guillomovitch <guillomovitch> 2.3.0-1.mga8
+ Revision: 1656487
- new version 2.3.0

* Sun Feb 16 2020 umeabot <umeabot> 2.1.0-3.mga8
+ Revision: 1533717
- Mageia 8 Mass Rebuild

* Tue Sep 24 2019 tv <tv> 2.1.0-2.mga8
+ Revision: 1445339
- rebuild for python-3.8
- drop python2 subpkg

* Sat Apr 20 2019 wally <wally> 2.1.0-1.mga7
+ Revision: 1393881
- new version 2.1.0

* Thu Jan 10 2019 daviddavid <daviddavid> 1.5.10-3.mga7
+ Revision: 1354282
- rebuild for new Python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 1.5.10-2.mga7
+ Revision: 1290140
- Mageia 7 Mass Rebuild

* Sun Apr 22 2018 kekepower <kekepower> 1.5.10-1.mga7
+ Revision: 1221175
- Update to version 1.5.10
- Renamed python-sortedcontainers to python2-sortedcontainers
- Use python_provide

* Sat Sep 30 2017 guillomovitch <guillomovitch> 1.5.7-1.mga7
+ Revision: 1161882
- new version 1.5.7

* Sat Aug 05 2017 pterjan <pterjan> 0.9.2-4.mga7
+ Revision: 1135645
- Rebuild for python 3.6

* Fri Feb 19 2016 umeabot <umeabot> 0.9.2-3.mga6
+ Revision: 970949
- Mageia 6 Mass Rebuild

* Sat Oct 10 2015 tv <tv> 0.9.2-2.mga6
+ Revision: 888872
- rebuild for python 3.5

* Tue Dec 02 2014 joequant <joequant> 0.9.2-1.mga5
+ Revision: 800285
- imported package python-sortedcontainers

